ALAS2-2019-1170


Amazon Linux 2 Security Advisory: ALAS-2019-1170
Advisory Release Date: 2019-03-08 00:44 Pacific
Severity: Medium
References: CVE-2018-5742 

Issue Overview:

Crash from assertion error when debug log level is 10 and log entries meet buffer boundary. This flaw appears to be exploitable only when debug logging is enabled and set to at least a level of 10. As this configuration should be rare in production instances of bind, it is unlikely that most servers will be exploitable. The debug level of the bind server can be checked via the rndc status command, which will return the current trace level as "debug level". A value of 10 or above would most likely make this flaw exploitable.(CVE-2018-5742 )


Affected Packages:

bind


Issue Correction:
Run yum update bind to update your system.

New Packages:
aarch64:
    bind-9.9.4-73.amzn2.1.1.aarch64
    bind-pkcs11-9.9.4-73.amzn2.1.1.aarch64
    bind-pkcs11-utils-9.9.4-73.amzn2.1.1.aarch64
    bind-pkcs11-libs-9.9.4-73.amzn2.1.1.aarch64
    bind-pkcs11-devel-9.9.4-73.amzn2.1.1.aarch64
    bind-sdb-9.9.4-73.amzn2.1.1.aarch64
    bind-libs-lite-9.9.4-73.amzn2.1.1.aarch64
    bind-libs-9.9.4-73.amzn2.1.1.aarch64
    bind-utils-9.9.4-73.amzn2.1.1.aarch64
    bind-devel-9.9.4-73.amzn2.1.1.aarch64
    bind-lite-devel-9.9.4-73.amzn2.1.1.aarch64
    bind-chroot-9.9.4-73.amzn2.1.1.aarch64
    bind-sdb-chroot-9.9.4-73.amzn2.1.1.aarch64
    bind-debuginfo-9.9.4-73.amzn2.1.1.aarch64

i686:
    bind-9.9.4-73.amzn2.1.1.i686
    bind-pkcs11-9.9.4-73.amzn2.1.1.i686
    bind-pkcs11-utils-9.9.4-73.amzn2.1.1.i686
    bind-pkcs11-libs-9.9.4-73.amzn2.1.1.i686
    bind-pkcs11-devel-9.9.4-73.amzn2.1.1.i686
    bind-sdb-9.9.4-73.amzn2.1.1.i686
    bind-libs-lite-9.9.4-73.amzn2.1.1.i686
    bind-libs-9.9.4-73.amzn2.1.1.i686
    bind-utils-9.9.4-73.amzn2.1.1.i686
    bind-devel-9.9.4-73.amzn2.1.1.i686
    bind-lite-devel-9.9.4-73.amzn2.1.1.i686
    bind-chroot-9.9.4-73.amzn2.1.1.i686
    bind-sdb-chroot-9.9.4-73.amzn2.1.1.i686
    bind-debuginfo-9.9.4-73.amzn2.1.1.i686

noarch:
    bind-license-9.9.4-73.amzn2.1.1.noarch

src:
    bind-9.9.4-73.amzn2.1.1.src

x86_64:
    bind-9.9.4-73.amzn2.1.1.x86_64
    bind-pkcs11-9.9.4-73.amzn2.1.1.x86_64
    bind-pkcs11-utils-9.9.4-73.amzn2.1.1.x86_64
    bind-pkcs11-libs-9.9.4-73.amzn2.1.1.x86_64
    bind-pkcs11-devel-9.9.4-73.amzn2.1.1.x86_64
    bind-sdb-9.9.4-73.amzn2.1.1.x86_64
    bind-libs-lite-9.9.4-73.amzn2.1.1.x86_64
    bind-libs-9.9.4-73.amzn2.1.1.x86_64
    bind-utils-9.9.4-73.amzn2.1.1.x86_64
    bind-devel-9.9.4-73.amzn2.1.1.x86_64
    bind-lite-devel-9.9.4-73.amzn2.1.1.x86_64
    bind-chroot-9.9.4-73.amzn2.1.1.x86_64
    bind-sdb-chroot-9.9.4-73.amzn2.1.1.x86_64
    bind-debuginfo-9.9.4-73.amzn2.1.1.x86_64